<template>
  <div>
    <div style="height:32pt" />
    <div style="padding-left:16pt;">
      <el-input placeholder="请输入内容" v-model="input3" class="input-with-select">
        <!--el-select v-model="select" slot="prepend" placeholder="请选择">
          <el-option label="餐厅名" value="1"></el-option>
          <el-option label="订单号" value="2"></el-option>
          <el-option label="用户电话" value="3"></el-option>
        </el-select-->
        <el-button slot="append" icon="el-icon-search" style="width:32pt"></el-button>
      </el-input>
      <!--el-button type="primary" icon="el-icon-search">搜索</el-button-->
      <el-button size="small" type1="primary" @click="handleQueryGrid">表检索</el-button>
      <el-button size="small" type1="primary" @click="handleQueryTree">树检索</el-button>
    </div>
    <div id="content" />

    <!--el-container style="display:none">
      <el-aside width="200px">
        <el-tree :data="data" :props="defaultProps" @node-click="handleNodeClick"></el-tree>
      </el-aside>
      <el-main>
        <div is='dw_topic' />
      </el-main>
    </el-container-->
  </div>
</template>
<style> 
  .input-with-select
  {
    width:50%;
    margin-right: 12pt;
  }
</style>
<script>
import { listSvytitle, getSvytitle, delSvytitle, addSvytitle, updateSvytitle } from "@/api/smartor/svytitle";

export default {
  name: "Svytitle",
  data() {
    return {
      // 遮罩层
      loading: true,
      // 选中数组
      ids: [],
      // 非单个禁用
      single: true,
      // 非多个禁用
      multiple: true,
      // 显示搜索条件
      showSearch: true,
      // 总条数
      total: 0,
      // 问卷表格数据
      svytitleList: [],
      // 弹出层标题
      title: "",
      // 是否显示弹出层
      open: false,
      // 查询参数
      queryParams: {
        pageNum: 1,
        pageSize: 10,
        categoryid: null,
        svycode: null,
        svyname: null,
        description: null,
        introduce: null,
        submitprompt: null,
        templateid: null,
        version: null,
        centerlibrarycode: null,
        centerlibraryid: null,
        islocal: null,
        isenable: null,
        orgid: null,
        isupload: null,
        uploadTime: null
      },
      // 表单参数
      form: {},
      // 表单校验
      rules: {
        delFlag: [
          { required: true, message: " 删除标记 不能为空", trigger: "blur" }
        ],
        isupload: [
          { required: true, message: " 上传标记 不能为空", trigger: "blur" }
        ],
      },
      data: [{
        label: '一级 1',
        children: [{
          label: '二级 1-1',
          children: [{
            label: '三级 1-1-1'
          }]
        }]
      }, {
        label: '一级 2',
        children: [{
          label: '二级 2-1',
          children: [{
            label: '三级 2-1-1'
          }]
        }, {
          label: '二级 2-2',
          children: [{
            label: '三级 2-2-1'
          }]
        }]
      }, {
        label: '一级 3',
        children: [{
          label: '二级 3-1',
          children: [{
            label: '三级 3-1-1'
          }]
        }, {
          label: '二级 3-2',
          children: [{
            label: '三级 3-2-1'
          }]
        }]
      }],
      defaultProps: {
        children: 'children',
        label: 'label'
      }
    };
  },
  created() {
    this.getList();
  },
  methods: {
    /** 查询问卷列表 */
    getList() {
      this.loading = true;
      listSvytitle(this.queryParams).then(response => {
        this.svytitleList = response.rows;
        this.total = response.total;
        this.loading = false;
      });
    },
    // 取消按钮
    cancel() {
      this.open = false;
      this.reset();
    },
    // 表单重置
    reset() {
      this.form = {
        svyid: null,
        categoryid: null,
        svycode: null,
        svyname: null,
        description: null,
        introduce: null,
        submitprompt: null,
        templateid: null,
        version: null,
        centerlibrarycode: null,
        centerlibraryid: null,
        islocal: null,
        isenable: null,
        orgid: null,
        delFlag: null,
        createBy: null,
        createTime: null,
        updateBy: null,
        updateTime: null,
        isupload: null,
        uploadTime: null
      };
      this.resetForm("form");
    },
    /** 搜索按钮操作 */
    handleQuery() {
      this.queryParams.pageNum = 1;
      this.getList();
    },
    /** 重置按钮操作 */
    resetQuery() {
      this.resetForm("queryForm");
      this.handleQuery();
    },
    // 多选框选中数据
    handleSelectionChange(selection) {
      this.ids = selection.map(item => item.svyid)
      this.single = selection.length !== 1
      this.multiple = !selection.length
    },
    /** 新增按钮操作 */
    handleAdd() {
      this.reset();
      this.open = true;
      this.title = "添加问卷";
    },
    /** 修改按钮操作 */
    handleUpdate(row) {
      this.reset();
      const svyid = row.svyid || this.ids
      getSvytitle(svyid).then(response => {
        this.form = response.data;
        this.open = true;
        this.title = "修改问卷";
      });
    },
    /** 提交按钮 */
    submitForm() {
      this.$refs["form"].validate(valid => {
        if (valid) {
          if (this.form.svyid != null) {
            updateSvytitle(this.form).then(response => {
              this.$modal.msgSuccess("修改成功");
              this.open = false;
              this.getList();
            });
          } else {
            addSvytitle(this.form).then(response => {
              this.$modal.msgSuccess("新增成功");
              this.open = false;
              this.getList();
            });
          }
        }
      });
    },
    /** 删除按钮操作 */
    handleDelete(row) {
      const svyids = row.svyid || this.ids;
      this.$modal.confirm('是否确认删除问卷编号为"' + svyids + '"的数据项？').then(function () {
        return delSvytitle(svyids);
      }).then(() => {
        this.getList();
        this.$modal.msgSuccess("删除成功");
      }).catch(() => { });
    },
    /** 导出按钮操作 */
    handleExport() {
      this.download('smartor/svytitle/export', {
        ...this.queryParams
      }, `svytitle_${new Date().getTime()}.xlsx`)
    },
    handleNodeClick(data) {
      console.log(data);
    },
    handleQueryGrid() {
      const params = { };
      this.$tab.openPage("问卷查询1", '/surveysetting/svytitle1/', params);
    },
    handleQueryTree() {
      const params = { };
      this.$tab.openPage("问卷查询2", '/surveysetting/svytitle2/', params);
    },
  },
  components:
  {
    dw_topic: () => import("@/smartor/dataobject/dw_ivrtopic_view.vue")
  }
};
</script>
